Bug 117873 - Cant build rpmdb-redhat if it is installed
Summary: Cant build rpmdb-redhat if it is installed
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpmdb-redhat (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-09 15:01 UTC by Lance Davis
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 14:13:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:312 normal SHIPPED_LIVE New rpmdb-redhat package for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Lance Davis 2004-03-09 15:01:21 UTC
Description of problem:

Macro expansion prevents building of rpmdb-redhat if it is installed
on the system

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. install rpmdb-redhat
2. rpmbuild -bb rpmdb-redhat
3.
  
Actual results:

/etc/rpm/macros.solve has expanded macros inserted
rpm always flags error with macro define

Expected results:

shouldnt

Additional info:

Suggested fixes :-

either if [ -e /etc/rpm/macros.solve ]
                add an extra % on macro defs to dereference
or same if macro defined

or Buildconflicts: rpmdb-redhat

Comment 1 Lance Davis 2004-03-09 15:08:04 UTC
fixed component

Comment 4 Dennis Gregorovic 2005-05-02 16:48:40 UTC
Should be fixed in U5

Comment 5 Dennis Gregorovic 2005-05-18 14:13:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-312.html



Note You need to log in before you can comment on or make changes to this bug.